import { Settings } from '../settings';
import { IParcelBuildConfig, BundleTarget } from '../types';
export declare function logInfo(args: {
    settings: Settings;
    port?: boolean | number;
    target: BundleTarget;
}): void;
export declare function logElectronInfo(args: {
    settings: Settings;
    port?: boolean | number;
}): void;
export declare function logWebInfo(args: {
    settings: Settings;
    port?: boolean | number;
}): void;
export declare function toBundlerArgs(data?: IParcelBuildConfig): {
    sourcemaps: boolean;
    treeshake: boolean;
    cmd: string;
};
